Loading...
Searching...
No Matches
tiny_dnn::adam Struct Reference

[a new optimizer (2015)] More...

`#include <optimizer.h>`

Inheritance diagram for tiny_dnn::adam:
[legend]
Collaboration diagram for tiny_dnn::adam:
[legend]

## Public Member Functions

void | update (const vec_t &dW, vec_t &W, bool parallelize)
Public Member Functions inherited from tiny_dnn::stateful_optimizer< 2 >
void | reset () override
Public Member Functions inherited from tiny_dnn::optimizer
| optimizer (const optimizer &)=default
| optimizer (optimizer &&)=default
optimizer & | operator= (const optimizer &)=default
optimizer & | operator= (optimizer &&)=default

## Public Attributes

float_t | alpha
float_t | b1
float_t | b2
float_t | b1_t
float_t | b2_t

## Additional Inherited Members

Protected Member Functions inherited from tiny_dnn::stateful_optimizer< 2 >
vec_t & | get (const vec_t &key)
Protected Attributes inherited from tiny_dnn::stateful_optimizer< 2 >
std::unordered_map< const vec_t *, vec_t > | E_ [N]

## Detailed Description

[a new optimizer (2015)]

[see Adam: A Method for Stochastic Optimization (Algorithm 1) http://arxiv.org/abs/1412.6980]

## Member Function Documentation

## update()

void tiny_dnn::adam::update | ( | const vec_t & | dW,
|  | vec_t & | W,
|  | bool | parallelize
| ) |  |

inline virtual

Implements tiny_dnn::optimizer.

The documentation for this struct was generated from the following file:

- tiny_dnn/optimizers/optimizer.h